*{
    --color1: #11F111;
    --shadowcolor1: #225522;
    --color2: #11F1F1;
    --shadowcolor2: #225555;
    --color3: #1111F1;
    --shadowcolor3: #222255;
    --color4: #F111F1;
    --shadowcolor4: #552255;
    --color5: #F11111;
    --shadowcolor5: #552222;
    --color6: #F1F111;
    --shadowcolor6: #555522;

    --bg: #111111;
    --bg2: #121212;
    --bgselect: transparent;
    --selection: transparent;

    --border: 1vh;
    --blur: 5vh;
    --boxblur: 15vh;
    --animdur: 30s;

    padding: 0;
    margin: 0;
    font-family: Consolas, monaco, monospace;
    color: var(--color1);
    /*animation-name: color;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;*/

    text-decoration: none;
    z-index: 1;
}

html, body{
    height: 100vh;
    width: 100vw;
    /*background-color: var(--bg);*/
    background: repeating-linear-gradient( 45deg, var(--bg2), var(--bg2) 10vw, var(--bg) 10vw, var(--bg) 20vw );

    box-sizing: border-box;
    box-shadow:0 0 0 var(--border) var(--color1) inset;

    animation-name: border;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;

    z-index: 1;
}




#title{
    position: absolute;
    text-align: center;
    width: 50vw;
    top: 10vh;
    left: 25vw;
    font-size: 8vh;

    animation-name: shadow, color;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;
    /*text-shadow:
        0.1vw 0.1vw #11E711,
        0.2vw 0.2vw #11E111,
        0.3vw 0.3vw #11D711,
        0.4vw 0.4vw #11D111,
        0.5vw 0.5vw #11C711,
        0.6vw 0.6vw #11C111,
        0.7vw 0.7vw #11B711,
        0.8vw 0.8vw #11B111,
        0.9vw 0.9vw #11A711,
        1vw 1vw #11A111,
        1.1vw 1.1vw #119711,
        1.2vw 1.2vw #119111,
        1.3vw 1.3vw #118711,
        1.4vw 1.4vw #118111,
        1.5vw 1.5vw #117711,
        1.6vw 1.6vw #117111,
        1.7vw 1.7vw #116711,
        1.8vw 1.8vw #116111,
        1.9vw 1.9vw #115711,
        2vw 2vw #115111,
        2.1vw 2.1vw #114711,
        2.2vw 2.2vw #114111,
        2.3vw 2.3vw #113711,
        2.4vw 2.4vw #113111,
        2.5vw 2.5vw #112711,
        2.6vw 2.6vw #112111,
        2.7vw 2.7vw #111711,
        2.8vw 2.8vw #111111;*/
    /*background-color: var(--bg);*/
}

#title::selection{
    /*background-color: var(--bgselect);*/
    color: var(--selection);
}




#nav{
    width: 60vw;
    height: 40vh;
    position: absolute;
    top: 35vh;
    left: 20vw;
}

.navelem{
    --boxblur: 2vh;
    --blur: 1vh;

    white-space: nowrap;

    position: absolute;
    float: left;
    font-size: 4.5vh;

    box-sizing: border-box;
    box-shadow:0 0 0 var(--boxblur) var(--color1) inset;

    /*background-color: var(--bg);*/
    text-align: center;

    animation-name: color, boxshadow, shadow;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;

    z-index: 10;
}

.navelem::selection{
    background-color: var(--bgselect);
}

.navelembg{
    position: absolute;

    visibility: hidden;
    animation-name: bg;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;
}

.navelem:hover + .navelembg{
    visibility: visible;
}

.navelem:hover{
    --boxblur: 0.5vh;
    --blur: 1vh;
    filter: brightness(5);
}

#about, #aboutbg{
    width: 20vw;
    line-height: 15vh;
    height: 15vh;
    left: -10vw;
}

#projects, #projectsbg{
    width: 24vw;
    line-height: 20vh;
    height: 20vh;
    left: 18vw;
}

#contact, #contactbg{
    width: 20vw;
    line-height: 15vh;
    height: 15vh;
    right: -10vw;
}



footer{
    position: fixed;
    bottom: var(--border);
    height: calc(10vh - var(--border));
    width: calc(100vw - var(--border) * 2);
    left: var(--border);
    background-color: #222222;
}

.socials{
    width: 100%;
    height: 100%;
    /*text-align: center;*/
    position: absolute;
}

.socials a{
    position: absolute;
    top: calc(50% - 2.5vh);
    font-size: 5vh;
}

.socials a i{
    --blur: 1vh;

    animation-name: color, shadow;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;

}

.socials a i:hover{
    /*animation-name: bg;
    animation-duration: var(--animdur);
    animation-iteration-count: infinite;*/
    --blur: 0;
    filter: brightness(5);
}




#twit{left: 20vw;}
#insta{left: 40vw;}
#steam{left: 60vw;}
#disco{left: 80vw;}


@keyframes color {
    0% {color: var(--color1);}
    16.6% {color: var(--color2);}
    33.3% {color: var(--color3);}
    50% {color: var(--color4);}
    66.6% {color: var(--color5);}
    83.3% {color: var(--color6);}
    100% {color: var(--color1);}
}

@keyframes border {
    0% {box-shadow:0 0 0 var(--border) var(--color1) inset;}
    16.6% {box-shadow:0 0 0 var(--border) var(--color2) inset;}
    33.3% {box-shadow:0 0 0 var(--border) var(--color3) inset;}
    50% {box-shadow:0 0 0 var(--border) var(--color4) inset;}
    66.6% {box-shadow:0 0 0 var(--border) var(--color5) inset;}
    83.3% {box-shadow:0 0 0 var(--border) var(--color6) inset;}
    100% {box-shadow:0 0 0 var(--border) var(--color1) inset;}
}

@keyframes shadow {
    0% {text-shadow: 0 0 var(--blur) var(--shadowcolor1);}
    16.6% {text-shadow: 0 0 var(--blur) var(--shadowcolor2);}
    33.3% {text-shadow: 0 0 var(--blur) var(--shadowcolor3);}
    50% {text-shadow: 0 0 var(--blur) var(--shadowcolor4);}
    66.6% {text-shadow: 0 0 var(--blur) var(--shadowcolor5);}
    83.3% {text-shadow: 0 0 var(--blur) var(--shadowcolor6);}
    100% {text-shadow: 0 0 var(--blur) var(--shadowcolor1);}
}

@keyframes boxshadow {
    0% {box-shadow: 0 0 calc(var(--boxblur) * 2) var(--shadowcolor1);}
    16.6% {box-shadow: 0 0 calc(var(--boxblur)) var(--shadowcolor2);}
    33.3% {box-shadow: 0 0 calc(var(--boxblur) * 2) var(--shadowcolor3);}
    50% {box-shadow: 0 0 calc(var(--boxblur)) var(--shadowcolor4);}
    66.6% {box-shadow: 0 0 calc(var(--boxblur) * 2) var(--shadowcolor5);}
    83.3% {box-shadow: 0 0 calc(var(--boxblur)) var(--shadowcolor6);}
    100% {box-shadow: 0 0 calc(var(--boxblur) * 2) var(--shadowcolor1);}
}

@keyframes bg {
    0% {background-color: var(--shadowcolor1);}
    16.6% {background-color: var(--shadowcolor2);}
    33.3% {background-color: var(--shadowcolor3);}
    50% {background-color: var(--shadowcolor4);}
    66.6% {background-color: var(--shadowcolor5);}
    83.3% {background-color: var(--shadowcolor6);}
    100% {background-color: var(--shadowcolor1);}
}

/*@keyframes bgpattern {
    0% {background: repeating-linear-gradient( 45deg, var(--shadowcolor1), var(--shadowcolor1) 3vw, var(--bg) 2vw, var(--bg) 15vw );}
    16.6% {background: repeating-linear-gradient( 45deg, var(--shadowcolor2), var(--shadowcolor2) 3vw, var(--bg) 2vw, var(--bg) 15vw );}
    33.3% {background: repeating-linear-gradient( 45deg, var(--shadowcolor3), var(--shadowcolor3) 3vw, var(--bg) 2vw, var(--bg) 15vw );}
    50% {background: repeating-linear-gradient( 45deg, var(--shadowcolor4), var(--shadowcolor4) 3vw, var(--bg) 2vw, var(--bg) 15vw );}
    66.6% {background: repeating-linear-gradient( 45deg, var(--shadowcolor5), var(--shadowcolor5) 3vw, var(--bg) 2vw, var(--bg) 15vw );}
    83.3% {background: repeating-linear-gradient( 45deg, var(--shadowcolor6), var(--shadowcolor6) 3vw, var(--bg) 2vw, var(--bg) 15vw );}
    100% {background: repeating-linear-gradient( 45deg, var(--shadowcolor1), var(--shadowcolor1) 3vw, var(--bg) 2vw, var(--bg) 15vw );}
}*/

@media (max-aspect-ratio: 3/2){
    #title{
        font-size: 6vh;
    }

    .navelem{
        font-size: 3vh;
    }
}

@media (orientation:portrait) {

    #nav{
        top: 20vh;
        left: 5vw;
        height: 60vh;
        width: 90vw;
    }

    #about, #aboutbg{
        width: 80vw;
        line-height: 15vh;
        height: 15vh;
        top: 0;
        left: 5vw;
    }

    #projects, #projectsbg{
        width: 80vw;
        line-height: 20vh;
        height: 20vh;
        top: 20vh;
        left: 5vw;
    }

    #contact, #contactbg{
        width: 80vw;
        line-height: 15vh;
        height: 15vh;
        top: 45vh;
        left: 5vw;
    }

    #title {
        font-size: 5vh;
        width: 80vw;
        left: 10vw;
    }
}

@media (max-aspect-ratio: 5/8){
    #title{
        font-size: x-large;
    }
}


